> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# contactphone

## "contactphone" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ContactPhoneProvider">ContactPhoneProvider</see> class.
The name of the MDO list is 'contactphone'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/contactphone
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("contactphone", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "contactphoneheadings"
* "contactphoneheadingswithallitem"
* "contactphoneheadingswithallitemwithnoselection"
* "contactphoneheadingswithnoselection"
* "contactphonewithallitem"
* "contactphonewithallitemwithnoselection"
* "contactphonewithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.Person](/en/api/reference/webapi/SuperOffice.WebApi.Data.Person.md)
- [Enum PhoneType](/en/automation/crmscript/reference/CRMScript.NetServer.PhoneType.md)
- [Enum values for PhoneType](/en/database/tables/enums/phonetype.md)
- [Analyze Biz Card Image](/en/api/reference/restful/agent/ai_agent/analyze-biz-card-image.md)
- [Analyze Biz Card Text](/en/api/reference/restful/agent/ai_agent/analyze-biz-card-text.md)
- [EmailAddress](/en/api/archive-providers/reference/emailaddress.md)
